## gcc-4.4-doc-non-dfsg 4.4.7

=== debian/changelog ===
gcc-4.4-doc-non-dfsg (4.4.7-4) unstable; urgency=low

  * Use 3.0 (quilt) source format.
  * Updated my uid.
  * Bumped standard version, use branch syntax for Vcs-Git.
  * Removed Nikita from uploaders.
  * Synced patches with gcc-4.4, 4.4.7-4, no changes needed.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Tue, 19 Nov 2013 19:07:25 -0500

gcc-4.4-doc-non-dfsg (4.4.7-3) unstable; urgency=low

  * Use old packaging style to minimize diff from 4.4.4.nf1-1.
    - backporting all patches to dpatch style.
  * Reverted standard version to 3.9.3.

 -- Guo Yixuan <culu.gyx@gmail.com>  Fri, 16 Nov 2012 16:35:52 +0800

gcc-4.4-doc-non-dfsg (4.4.7-2) unstable; urgency=low

  * Fixed directory to symlink upgrading bug by adding postinst to
    {cpp, gfortran, gnat}-4.4-doc. (Closes: #692119)
    - /usr/share/doc/{cpp, gfortran, gnat}-4.4-doc was changed from
      directorie to symlinks in 4.4.7-1.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sun, 04 Nov 2012 13:30:34 +0800

gcc-4.4-doc-non-dfsg (4.4.7-1) unstable; urgency=low

  * Updated to upstream version 4.4.7.
  * Took many changes from gcc-4.6-doc, thanks to Samuel Bronson.
    - Use version-free names for debhelper config files.
    - Use 3.0 (quilt) source format.
    - Set debhelper compat level to 7.
    - Added extract-doc-tarball-from-upstream, a script behind
      get-orig-source.
    - Added a gbp.conf.
    - Build gnat_ugn the way it's built upstream, using the "xgnatugn"
      preprocessor, and update debian/extract-doc-tarball-from-upstream to
      include the needed files in .orig tarballs.
    - Updated README.source.
  * debian/patches:
    - Synced patches with gcc-4.4 4.4.7-3.
      - removed debian/patches/from-debian-gcc-gcc-atom-doc.diff,
      - removed debian/patches/from-debian-gcc-cell-branch-doc.diff,
      - added debian/patches/from-debian-gcc-gold-and-ld-doc.diff,
      - and updated other patches.
    - Added a patch, alpha-ieee-doc-clarification.diff, to state that
      changes in from-debian-gcc-alpha-ieee-doc.diff are specific to the
      alpha architecture.
    - Added fix-direntry.diff, to correct links for the info directory
      file, and gnat-cross-references.diff, to have correct cross references.
      (Closes: #594384)
    - Added fix-609217.diff, to correct a trivial document error for
      the function __builtin_choose_expr. (Closes: #609217)
  * debian/control:
    - Removed gcc-doc-base (it is in gcc-4.7-doc now).
    - Removed gcj-4.4-doc, as gcj-4.4 was removed.
    - Added myself to uploaders.
    - Bumped policy version to 3.9.4.
    - Added git repo urls in Vcs-*.
    - Build-depends: dropped dpatch, updated debhelper to >= 7.0.50~, and
      added gnat-4.6 | gnat
    - Added Homepage.
    - Use Breaks instead of Conflicts, gcc-4.4-doc now breaks gcc
      (<= 2.7.2.3-4.3) and gcc-docs (<< 2.95.2).
  * Added watch file.
  * Updated copyright file, based on gcc-4.6-doc's copyright.
  * Improved README.source, and added a helper script, check_gcc_patches.

 -- Guo Yixuan <culu.gyx@gmail.com>  Tue, 30 Oct 2012 13:19:12 +0800

gcc-4.4-doc-non-dfsg (4.4.4.nf1-1) unstable; urgency=low

  * Packaged documentation files for gcc, gnat and gcj version 4.4.4.
  * Updated Standards-Version to 3.8.4.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 03 May 2010 10:29:56 +0400

gcc-4.3-doc-non-dfsg (4.3.2.nf1-1) unstable; urgency=low

  * Rebuilt .orig.tar.gz using files from gcc-4.3.2 release.
    + Removed treelang documentation from .orig.tar.gz - it is no longer
      needed.
    + gpl.7 manual page now contains GPL3 text.
  * Resynced debian patches against version 4.3.2-1 of gcc-4.3 package.
  * Updated Standards-Version to 3.8.0.
    + Added debian/README.source with some packaging documentation. 
    + Added support for 'parallel=n' in DEB_BUILD_OPTIONS.
    + Added a note to debian/copyright explaining why this package
      is not part of debian main.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 28 Sep 2008 20:00:54 +0400

gcc-4.3-doc-non-dfsg (4.3.0.nf1-1) unstable; urgency=low

  * Packaged documentation files for gcc, gnat and gcj version 4.3.0.
  * Removed treelang documentation package since treelang is no longer
    in Debian.
  * Mentioned AdaCore copyright on Ada documentation in debian/copyright.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue,  3 Jun 2008 23:37:00 +0400

gcc-4.2-doc-non-dfsg (4.2.3.nf1-1) unstable; urgency=low

  * Packaged documentation files for gcc and gnat version 4.2.3.
  * Added gccinstall info document, since it is referenced by
    other info documents.
  * Use debian/compat instead of DH_COMPAT in debian/rules.
  * Removed Build-Depends: conent from Build-Depends-Indep.
  * Bumped Standards-Version to 3.7.3.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat,  9 Feb 2008 23:36:50 +0300

gcc-4.1-doc-non-dfsg (4.1.2.nf1-1) unstable; urgency=low

  * Resynced against upstream gcc 4.1.2 and debian gcc 4.1.2-12
    (but excluded libjava-backport-doc-updates2.dpatch that does not apply).
  * Fixed typo in gcc-doc-base package description. Closes: #404308.
  * Added ada documentation package. Closes: #418635. Thanks to
    Michael Bode <michael_bode@gmx.net> for the patch.
  * Still no java documentation, sorry. Patches welcome :).
  * Register treelang documentation in doc-base.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 19 Jun 2007 00:48:09 +0400

gcc-4.1-doc-non-dfsg (4.1.1.nf3-1) unstable; urgency=high

  * Rebiuld .orig.tar.gz, to include gpl.7, gfdl.7, and fsf-funding.7
    man pages.
  * New binary package gcc-doc-base that provides these manpages.
    Closes: #389075.
  * Resync debian gcc patches, using gcc-4.1 4.1.1ds1-15.
    Closes: #389076.
    However, documentation will eventially become out of sync, so
    resync should be done after each gcc-4.1 package upload.
  * Set urgency to high, because etch currently does not have
    gcc docs at all, and this does hurt people.
  * Enough for today :).


