=== debian/control ===
Source: gcc-4.4-doc-non-dfsg
Section: non-free/doc
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders:
 Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep:
 texinfo,
 perl,
 gnat-4.6 | gnat
Standards-Version: 3.9.5
Homepage: http://gcc.gnu.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/yixuan-guest/gcc-doc.git
Vcs-Git: git://anonscm.debian.org/users/yixuan-guest/gcc-doc.git -b debian/4.4

# Package: gcc-doc-base
# Architecture: all
# Conflicts: gcc-docs (<< 2.95.2), gcc-4.1 (<< 4.1.1-11)
# Replaces: gcc-docs (<< 2.95.2), gcc-4.1 (<< 4.1.1-11)
# Depends: ${misc:Depends}
# Description: several GNU manual pages
#  This package provides gfdl.7, gpl.7, and fsf-funding.7 manual pages,
#  which should be available together with gcc man pages to fit
#  GNU Free Documentation License requirements.

Package: gcc-4.4-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Breaks: gcc (<= 2.7.2.3-4.3), gcc-docs (<< 2.95.2)
Replaces: gcc (<= 2.7.2.3-4.3), gcc-docs (<< 2.95.2)
Description: documentation for the GNU compilers (gcc, gobjc, g++)
 This package contains manual pages and documentation in info and
 html format, for the GNU compilers.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: cpp-4.4-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU C preprocessor (cpp)
 This package contains manual pages and documentation in info and
 html format, for the GNU C prerocessor.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: gfortran-4.4-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU Fortran Compiler (gfortran)
 This package contains manual pages and documentation in info and
 html format, for the GNU Fortran 95 compiler.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: gnat-4.4-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU Ada 95 Compiler (gnat)
 This package contains documentation in info and html format, for
 the GNU Ada 95 compiler.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

# Package: gcj-4.4-doc
# Architecture: all
# Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
# Suggests: doc-base
# Provides: gij-4.4-doc
# Description: documentation for the GNU Java tools (gcj, gij)
#  This package contains manual pages and documentation in info and
#  html format, for the GNU Java Compiler, the GNU interpreter for Java
#  bytecode, and related tools.
#  .
#  This documentation is licensed under the terms of the GNU Free
#  Documentation License, and contains invariant sections, so it can't be
#  part of Debian main.
